#include <iostream>

using namespace std;

int main()
{
    int N,L,x=0;
    cin >> N >> L;
    long  n[1000];
    for(int a=0;a<N ; a++){
        cin>>n[a];
    }
    for(int s=0; s<N; s++){
        x++;
        if(n[s]<=L){
            cout<<x;
            break;
        }
        
    }
    if(x==N){
        if(n[N-1]<=L){
        }
        else{
            cout<<-1;
        }
    }

    return 0;
}